Forums
Need help - Printable Version

+- Forums (https://www.vdrift.net/Forum)
+-- Forum: Community (https://www.vdrift.net/Forum/forumdisplay.php?fid=3)
+--- Forum: Help (https://www.vdrift.net/Forum/forumdisplay.php?fid=5)
+--- Thread: Need help (/showthread.php?tid=544)

Pages: 1 2


Need help - rockin_XJ - 03-06-2007

What packages do I need to download to be able to successfully install vdrift?
I have suse 10.1
AMd 64
GeForce 6600 graphics card
I have tried full data, source and binary packages and they don't work.

Please help

Thanks,

John


- thelusiv - 03-07-2007

Well, it's more or less pointless now because we're going to release a new version in a few days. However maybe you can get the autopackage working if you install freealut and openal libraries (the autopackage doesn't report that you need those, it just fails. I know this sucks...) http://vdrift.net/Forum/viewtopic.php?t=377

I guess this page needs some more info about other packages besides the autopackage: http://wiki.vdrift.net/index.php/Installing_on_Linux

It seems we get asked this a lot, maybe we ought to consider going about splitting up our packages differently.


- rockin_XJ - 03-07-2007

When I run the autopackage I get this error msg:

Checking for SDL Network Library ... failed
-------------------------------
Error: Could not find 'SDL Network Library'. Try using the native package manager for SUSE Linux (yast) to install a package with similar name to 'sdl_net'.

Error: Unable to prepare package VDrift.
---------------------------------


sdl_net is installed on the system according to yast.

These files abide in the /usr/lib64 directory:
libSDL-1.2.so.0
libSDL-1.2.so.0.7.2
libSDL_image-1.2.so.0
libSDL_image-1.2.so.0.1.3
libSDL_mixer-1.2.so.0
libSDL_mixer-1.2.so.0.2.4
libSDL_net-1.2.so.0
libSDL_net-1.2.so.0.0.5
libSDL_net.a
libSDL_net.la
libSDL_net.so
libSDL_ttf-2.0.so.0
libSDL_ttf-2.0.so.0.6.0
libSDL_ttf.a
libSDL_ttf.la
libSDL_ttf.so

I think I'm getting close.

Tahnks,
John


- thelusiv - 03-07-2007

You should probably build from source, if your SDL-net library is a different version, it's likely other libs will be different versions from what you've got too. If you download SVN, you'll also get a ton of new stuff that's about to be included in the new release.


- thelusiv - 03-09-2007

I've just updated the page on compiling from source, it now explains stuff about the data: http://wiki.vdrift.net/index.php/Compiling#Linux


- rockin_XJ - 03-15-2007

i just tried compiling from source and I get this message when I run the ./scons.py:

jhughes@linux-p589:~/Desktop/vdrift-2006-10-06-src> ./scons.py arch=a64
scons: Reading SConscript files ...
Checking for main() in C library openal... yes
Checking for C++ header file GL/gl.h... no
You do not have the GL/gl.h headers installed. Exiting.

The GL/gl.h file resides in: /usr/share/doc/NVIDIA-GLX-1.0/include/GL/gl.h
should I cp it to somewhere else?

I'm using Suse 10.1 AMD64 Geforce 6600

Not sure what to do now.

Thanks,
John


- joevenzon - 03-15-2007

The GL headers should be under /usr/include (for example, /usr/include/GL/gl.h)... it looks like the file you found is under some documentation subdir...? You might want to double check that you have the correct opengl packages installed. Someone that knows more about Suse could probably help you.


- thelusiv - 03-15-2007

Yeah, I'm not sure about SuSE either but on Ubuntu you have to install the package nvidia-glx-dev - if you aren't using nvidia then maybe the libmesa-dev packages would work, I forget...


- rockin_XJ - 03-16-2007

Ok,These files reside in the /usr/include/GL dir

jhughes@linux-p589:/usr/include/GL> ls
amesa.h gle.h glu_mangle.h glx.h svgamesa.h xmesa_x.h
directfbgl.h glext.h GLwDrawA.h glx_mangle.h uglmesa.h
dmesa.h glfbdev.h GLwDrawAP.h mesa_wgl.h vms_x_fix.h
foomesa.h gl.h GLwMDrawA.h mglmesa.h wmesa.h
fxmesa.h gl_mangle.h GLwMDrawAP.h miniglx.h xmesa.h
ggimesa.h glu.h glxext.h osmesa.h xmesa_xf86.h

The suse software management tool does not list the lib-nvidia-glx-dev or
libmesa-dev packages.


- thelusiv - 03-19-2007

Well I'm not sure what the exact package names will be for SUSE, but just search for similar names. It looks like you do have the GL headers though, so SCons should find them (did you try running SCons again after installing the GL headers, if they weren't there before)?


- rishabh - 03-21-2007

Hi everybody,
It says the same for me, but I DO have gl.h. see:

rishabh@rishabh-desktop:/usr/include/GL$ ls
glext.h
gl.h
gl_mangle.h
glu.h
glu_mangle.h
glxext.h
glx.h
glx_mangle.h
osmesa.h

And I get the message "Checking for C++ header file GL/gl.h... no
You do not have the GL/gl.h headers installed. Exiting."

I've spent 3 days so far trying to install vdrift Sad


- rishabh - 03-21-2007

and I restarted the comp, and even re-decompressed the tarred files, and ran ./scons.py again, but to no avail.


- rishabh - 03-21-2007

Hi there!
I (think) I found the problem:
you need to install the "scons" package.


- rishabh - 03-21-2007

and I got a pageful of messages while installing, which ended in a:

sh: o: not found
Install file: "build/vdrift" as "/usr/share/games/vdrift/bin/vdrift"
scons: *** [/usr/share/games/vdrift/bin/vdrift] build/vdrift: No such file or directory
scons: building terminated because of errors.

well??


- rishabh - 03-21-2007

hmm... got through that too.
made an empty doc in the "build" dir named "vdrift"